#
# spec file for package nitrogen
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           nitrogen
Version:        1.5.2
Release:        lp150.1.5
Summary:        A background browser and setter for X windows
License:        GPL-2.0 and CC-BY-SA-3.0
Group:          System/X11/Utilities
Url:            http://projects.l3ib.org/nitrogen/
Source0:        http://projects.l3ib.org/nitrogen/files/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
# upstream fix 30b50d1e3d77966cd29e27c12dbe8f12eff2175d
Patch0:         x11_linking.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gtkmm2-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(xinerama)
Requires:       hicolor-icon-theme
Requires(post): update-desktop-files
Requires(postun): update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description

Nitrogen is a background browser and setter for X windows. It is written
in C++ using the gtkmm toolkit. It can be used in two modes: browser and
recall. Some of the features are:

* Multihead and Xinerama aware.
* Recall mode to used via startup script.
* Uses freedesktop.org standard for thumbnails.
* Can set GNOME background.
* Command line set modes for script use.
* Inotify monitoring of browse directory.
* Lazy loading of thumbnails - conserves memory .
* "Automatic" set mode - determines best mode to set an image based on
  its size.
* Display preview images in a tiled icon layout

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
%make_install
install -D -m 644 %{SOURCE1} %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -D -m 644 data/icons/%{name}-48.png %{buildroot}/%{_datadir}/pixmaps/%{name}.png

%suse_update_desktop_file %{name} Settings DesktopSettings

%fdupes  %{buildroot}/

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS README ChangeLog NEWS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.gz

%changelog
* Fri Sep  4 2015 mpluskal@suse.com
- Use url for source
- Use macro for configure
- Add patch x11_linking.patch to fix linking
- Cleanup spec file with spec-cleaner
* Wed Nov  7 2012 toganm@opensuse.org
- Changed licence to GPL-2.0 and CC-BY-SA-3.0 (bnc#788553)
* Wed Sep  5 2012 toganm@opensuse.org
- initial checkin
